Subject: RE: EARLY submission deadline - Fact or Fiction?

From: "Gray, Eric" <[email-masked]>
Date: Tue, 29 Nov 2005 13:39:59 -0500

Dave,

	Having a general deadline attempts to address (at least) two
problems: 

	1) Allow the Secretariat time to post all on-time submissions;
	2) Allow for some time to read the IDs before the meeting.

The last time I submitted an ID, it was accepted as is and still took
almost a week to make it to the list.  The process allows for minor
editorial corrections as a result of "idnit" hits, but when submitting
and earlier draft prior to the dead-line, I was unable to determine if
it had been posted until jut before the meeting - simply because of a
"nit" picked up by "idnits".  Consequently, I feel that:

	A) the current deadline is not actually all that arbitrary since
	   it barely is sufficient to address problem 1 above, and
	B) offering to stretch the deadline one way or the other based 
	   on a presumption of lower processing overhead for a given
	   submission type is also not arbitrary as it can be shown
	   that the reduction in processing overhead for such an ID
	   submission may more than account for deadline differences.

Allowing the WG chair to make exceptions prevents the WG from being 
blocked as a result of processing overhead.  However, the WG chair -
or whatever person or persons it is that makes this decision - should
aggressively discourage late submissions for 2 very good reasons:

1) on-time submissions do not generate random discussions about the
   "arbitrariness" of any exceptions that have to be made and
2) making exceptions erodes the credibility of the entire process.

--
Eric

--> -----Original Message-----
--> From: Dave Crocker [mailto:[email-masked]] 
--> Sent: Tuesday, November 29, 2005 1:11 PM
--> To: Gray, Eric
--> Cc: [email-masked]
--> Subject: Re: EARLY submission deadline - Fact or Fiction?
--> 
--> Eric,
--> 
--> > 	One of your comments seems to apply to the effectiveness
--> > of having an early submission deadline.  What is the point of
--> > monkeying around with early submission deadlines when they are
--> > not very effective anyway?
--> 
--> 1. They add administrative hassle to working groups.
--> 
--> 2. They lead to having the authoritative version of 
--> documents be outside the 
--> Internet-Drafts mechanism, at least for awhile.
--> 
--> 
--> > 	  Sometimes a WG
--> > chair schedules time to talk about an ID that doesn't exist at
--> > the time of the schedule announcement and - sometimes - still 
--> > has not been submitted by the time of the meeting.  ...
--> > 
--> > 	So, one question is whether or not it is appropriate to
--> > allow this practice to continue.  
--> 
--> The broad question is how much freedom a working group 
--> should have to 
--> formulate its own procedures.  In the not-so-distant past, 
--> the IETF was 
--> quite friendly to wildly different working group choices.  
--> More recently our 
--> respond to cases (or, yes, patterns) of misbehavior has 
--> been to make a rule 
--> that restricts everyone with respect to procedural details.
--> 
--> My own view is that we need to facilitate working group 
--> progress while 
--> ensuring working group legitimacy (fairness, timeliness and 
--> relevance). I 
--> believe that progress is facilitated by letting a working 
--> group do as much 
--> self-organizing as it can, while keeping the working under 
--> pressure to be 
--> productive. We need to do this by watching for a working 
--> group going astray, 
--> rather than by imposing micro-managing, rigid rules.
--> 
--> I believe this view is compatible with the core of yours:
--> 
--> > 	  IMHO,
--> > I think the common - usage-based - definition is that WG chairs
--> > get to arbitrate the meaning of these terms as it applies to ID
--> > submissions for their own WG, especially when submissions are
--> > late.  ...
--> 
--> 
--> I suspect we differ on:
--> 
--> > 	On the other hand, if someone wants to reduce the WG
--> > chair's role in arbitrating the legitimacy of an ID submission,
--> > then it is up to them to make sure that their submission is in
--> > compliance with formal submission deadlines, format, etc. - so
--> > that no "exception" is required.
--> 
--> If I understand correctly, you want to retain a deadline, 
--> but give the wg 
--> chair authority to override it.  This certainly is 
--> reasonable, but I think 
--> it is not practical because it adds administrative overhead 
--> (and probably 
--> delay) in the Internet-Drafts processing mechanism.
--> 
--> A simpler rule is that the working group gets to decide its 
--> deadlines and 
--> what will be discussed at the meeting.  (All of this is 
--> predicated on moving 
--> towards fully automated I-D issuance.)
--> 
--> 
--> d/
--> -- 
--> 
--> Dave Crocker
--> Brandenburg InternetWorking
--> <http://bbiw.net>
--> 

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf

---

From: Dave Crocker <[email-masked]>
Date: Tue, 29 Nov 2005 11:30:21 -0800

> 	1) Allow the Secretariat time to post all on-time submissions;

As I recall, this was the primary reason for originally imposing the limit.

That is why I explicitly stated the requirement that automated I-D 
processing be supported.

> 	2) Allow for some time to read the IDs before the meeting.

A working group can decide what the limit for this.  As with so many other 
potential abuses by a working group, the cognizant AD can decide when the 
working group is misbehaving on this matter.

Note:

      I think folks often miss the costs of specifying particular 
procedures.  Having an approval hierarchy is an enormously expensive design 
and we have ADs that are already vastly overworked.  (The Secretariat also 
is not exactly twiddling its thumbs.)

d/
-- 

Dave Crocker
Brandenburg InternetWorking
<http://bbiw.net>